
Figure - Bug #117013
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT3】【设置】将字体大小调至最大后，状态栏的时间显示不完整
2023-03-18 13:53 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-18

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303170158

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-22

Test Type: ST Root cause: 字体过大,导致显示截断

Description

【前提条件】

设备已开机

【测试步骤】

1、进入设置-显示页面

2、将字体大小调至最大

3、观察状态栏显示

【预期结果】

3、状态栏内容显示完整清晰

【实际结果】

3、状态栏的时间显示不完整

History

#1 - 2023-03-20 10:21 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW 曹覃刚

#2 - 2023-03-20 16:23 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#3 - 2023-03-22 19:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188674 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:SystemUI: Fix Status bar Clock font to bigTC-RID: 1201-0201901IssueID: TS-R-BUG-117013Change-Id: I5de8d17552d93d2bf73ea9d2a9cc03849d4f186d

#4 - 2023-03-22 19:50 - CD FW-程天颖
- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-22

- Root cause set to 字体过大,导致显示截断

■ Current conclusion

bug已解决,提交已入库

■ My analysis

字体过大,导致显示截断,已以缩小文字大小和去除文字内边距,但由于数字显示不会占满TextView所有画布,所以看起来上方留白略多余下方,属于正常现象

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/188674

#5 - 2023-03-23 11:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

3.23

验证通过

#6 - 2023-03-23 11:10 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
